package com.device.comm.DGMS.algorithm;

import java.util.Date;

public class Reference
{
  private double value;
  private Date time;
  private int index;
  
  public Reference(double value, Date time)
  {
    this.value = value;
    this.time = time;
  }

  public Reference(double value,int index){
    this.value = value;
    this.index = index;
  }

  public double getValue()
  {
    return this.value;
  }
  
  public void setValue(double value)
  {
    this.value = value;
  }
  
  public Date getTime()
  {
    return this.time;
  }
  
  public void setTime(Date time)
  {
    this.time = time;
  }

  public int getIndex(){
    return this.index;
  }
}


